Package org.opensaml.messaging.context

# Class MessageChannelSecurityContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.messaging.context.MessageChannelSecurityContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class MessageChannelSecurityContext extends BaseContext
A subcontext which carries information about whether the message channel in use is considered to have the active properties of confidentiality and integrity.

This data is typically used to determine whether additional application- or protocol-specific signing and/or encryption operations are necessary.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`confidentialityActive`
Message channel confidentiality flag.
`private boolean`
`integrityActive`
Message channel integrity flag.

## Constructor Summary

Constructors
Constructor
Description
`MessageChannelSecurityContext()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isConfidentialityActive()`
Get whether message channel confidentiality is active.
`boolean`
`isIntegrityActive()`
Get whether message channel integrity is active.
`void`
`setConfidentialityActive(boolean flag)`
Set whether message channel confidentiality is active.
`void`
`setIntegrityActive(boolean flag)`
Set whether message channel integrity is active.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### confidentialityActive

private boolean confidentialityActive
Message channel confidentiality flag.

### integrityActive

private boolean integrityActive
Message channel integrity flag.

## Constructor Details

### MessageChannelSecurityContext

public MessageChannelSecurityContext()

## Method Details

### isConfidentialityActive

public boolean isConfidentialityActive()
Get whether message channel confidentiality is active.

Returns:
  Returns the confidentialityActive.

### setConfidentialityActive

public void setConfidentialityActive(boolean flag)
Set whether message channel confidentiality is active.

Parameters:
  `flag` - The confidentialityActive to set.

### isIntegrityActive

public boolean isIntegrityActive()
Get whether message channel integrity is active.

Returns:
  Returns the integrityActive.

### setIntegrityActive

public void setIntegrityActive(boolean flag)
Set whether message channel integrity is active.

Parameters:
  `flag` - The integrityActive to set.